---
title: Cookies
slug: Tools/Storage_Inspector/Cookies
tags:
  - Cookies
  - Dev Tools
  - Firefox
  - Guide
  - Storage
  - Storage Inspector
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>When you select an origin inside the <em>Cookies</em> storage type from the storage tree, all the cookies present for that origin will be listed in a table. The cookies table has the following columns:</p>

<ul>
 <li><em>Name</em> — The name of the cookie.</li>
 <li><em>Value</em> — The value of the cookie.</li>
 <li><em>Domain</em> — The domain of the cookie.</li>
 <li><em>Path</em> — The path property of the cookie.</li>
 <li><em>Expires / Max-Age</em> — The time when the cookie will expire. If the cookie is a session cookie, the value of this column will be "Session"</li>
 <li><em>Size</em> — The size of the cookie name plus value in bytes.</li>
 <li><em>HttpOnly</em> — Is this cookie HTTP only?</li>
 <li><em>Secure</em> — Is this cookie a secure cookie?</li>
 <li><em>SameSite</em> — Is this cookie a same-site cookie? Same-site cookies allow servers to mitigate the risk of CSRF and information leakage attacks by asserting that a particular cookie should only be sent with requests initiated from the same registrable domain.</li>
 <li><em>Last accessed</em> — Date and time when the cookie was last read.</li>
 <li><em>Created</em> — Date and time when the cookie was created.</li>
 <li><em>HostOnly</em> — Is this cookie a domain cookie? That is, the domain value matches exactly the domain of the current website.</li>
</ul>

<div class="note">
<p><strong>Note</strong>: Some of the columns are not shown by default — to change the column display, right-click on the existing table headings and use the resulting context menu to show/hide the columns.</p>
</div>

<p>You can edit cookies by double-clicking inside cells in the <a href="/en-US/docs/Tools/Storage_Inspector#Table_Widget">Table Widget</a> and editing the values they contain, and add new cookies by clicking the "Plus" (+) button and then editing the resulting new row to the value you want.</p>

<h3 id="Context_menu">Context menu</h3>

<p>The context menu for each cookie includes the following commands:</p>

<ul>
 <li><em>Add item</em> - add a new cookie.</li>
 <li><em>Delete &lt;cookie name&gt;.&lt;domain&gt;</em> - deletes the selected cookie</li>
 <li><em>Delete All From &lt;domain&gt;</em> - deletes all cookies from the selected domain. This must be an exact match. For example, if you select "Delete All From test8.example.com" only cookies from that domain will be deleted. Cookies from "test13.example.com" will not be deleted.</li>
 <li><em>Delete All</em> - deletes all cookies for the current host.</li>
 <li><em>Delete All Session Cookies</em> - deletes all cookies for the current host that are scheduled to be deleted when the browser shuts down</li>
</ul>

<p><img alt="" src="https://mdn.mozillademos.org/files/16811/cookie_table_widget_context.png" style="border: 1px solid black; display: block; height: 250px; margin-left: auto; margin-right: auto; width: 924px;"></p>
